//---------------------------------------------------------------------------

#include <fmx.h>
#include <FMX.TMSPDFLib.hpp>
#pragma hdrstop

#include "PDF_main.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "FMX.TMSBaseControl"
#pragma link "FMX.TMSCustomComponent"
#pragma link "FMX.TMSMemo"
#pragma link "FMX.TMSMemoPDFIO"
#pragma link "FMX.TMSPDFIO"
#pragma resource "*.fmx"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{

	TTMSFMXPDFLib* p_pdf = NULL;

	if (SaveDialog1->Execute()) {
		p_pdf = new TTMSFMXPDFLib();

		p_pdf->BeginDocument(SaveDialog1->FileName);
		p_pdf->PageSize = psLetter;
		p_pdf->NewPage();

		p_pdf->Header = "";

		p_pdf->Graphics()->Font->Name = "Segoe UI";
		p_pdf->Graphics()->Font->Size = 18;
		p_pdf->Graphics()->Font->Style = TFontStyles();
		p_pdf->Graphics()->Font->Color = claBlack;

		TRectF pageBounds = TRectF(36, 36, p_pdf->PageWidth-72, p_pdf->PageHeight-72);

		TRectF outBounds = p_pdf->Graphics()->DrawText("Name: ______________", pageBounds.Location, true);
		p_pdf->Graphics()->DrawText("Name: ______________", outBounds);

		outBounds = p_pdf->Graphics()->DrawText("Spelling", pageBounds.Location, true);
		float width = outBounds.Width();
		outBounds.left = pageBounds.Left + (pageBounds.Width() - width) / 2.0;
		outBounds.right = outBounds.Left + width;
		p_pdf->Graphics()->DrawText("Spelling", outBounds);

		outBounds = p_pdf->Graphics()->DrawText("Test Date: 12-16-2022", pageBounds.Location, true);
		width = outBounds.Width();
		outBounds.left = pageBounds.Right - width;
		outBounds.right = pageBounds.Right;
		p_pdf->Graphics()->DrawText("Test Date: 12-16-2022", outBounds);

		p_pdf->EndDocument(true);
	}

	if (p_pdf) delete p_pdf;
}
//---------------------------------------------------------------------------
